<?php
//エスケープ命令を関数化
//変更点　出力の段階でエスケープ処理を行うためエスケープ処理の対象が配列ではなくなり、関数の処理を変更
function escape($before)
{
    $after = htmlspecialchars($before, ENT_QUOTES, 'UTF-8');
    return $after;
}

//エスケープ命令を関数化（配列用）
function escape_array($before)
{
    foreach ($before as $key => $value) {
        $after[$key] = htmlspecialchars($value, ENT_QUOTES, 'UTF-8');
    }
    return $after;
}

//gengo.phpで使う西暦から和暦を判定するための関数
function gengo($seireki)
{
    if ($seireki >= 1868 && $seireki <= 1911) {
        $gengo = '明治';
    } elseif ($seireki >= 1912 && $seireki <= 1925) {
        $gengo = '大正';
    } elseif ($seireki >= 1926 && $seireki <= 1988) {
        $gengo = '昭和';
    } elseif ($seireki >= 1989 && $seireki <= 2018) {
        $gengo = '平成';
    } elseif ($seireki >= 2019) {
        $gengo = '令和';
    } else {
        $gengo = '明治以前';
    }
    return $gengo;
}
