<?php
session_start();
session_regenerate_id(true);
if (isset($_SESSION['login']) == false) {
    echo '<div style="height:100vh;display:flex;justify-content:center;align-items:center">' . '<div>';
    echo '<p>ログインされていません。</p>';
    echo '<a href="../staff_login/staff_login.html">ログイン画面へ</a>';
    echo '</div>' . '</div>';
    exit();
} else {
    echo '<div style="display:flex;justify-content:center">' . '<div>';
    echo $_SESSION['staff_name'] . 'さんログイン中です。';
    echo '</div>' . '</div>';
}
?>

<!DOCTYPE html>
<html lang="ja">

<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <meta http-equiv="X-UA-Compatible" content="ie=edge">
    <title>ろくまる農園</title>
</head>

<body>
    <div style="height:100vh;display:flex;justify-content:center;align-items:center" ;>
        <div>
            <?php
            //変更点　CSRF対策　ワンタイムトークンを生成し、それをhidden属性のinputタグのvalue属性の値にセット
            //session_start(); //セッションを開始、HTMLのDOCTYPEよりも上にsession_start()を追加したからコメントアウト
            $token = bin2hex(random_bytes(32)); //ワンタイムトークンを生成
            $_SESSION['token'] = $token; //ワンタイムトークンをセッションに保存

            try {
                //変更点　$_POST['']からfilter_input(INPUT_POST, '')に
                $pro_code = filter_input(INPUT_GET, 'procode');

                $dsn = 'mysql:dbname=shop;host=localhost;charset=utf8';
                $user = 'root';
                $password = '';
                $dbh = new PDO($dsn, $user, $password);
                $dbh->setAttribute(PDO::ATTR_ERRMODE, PDO::ERRMODE_EXCEPTION);

                $sql = 'SELECT name,gazou FROM mst_product WHERE code=?';
                $stmt = $dbh->prepare($sql);
                $data[] = $pro_code;
                $stmt->execute($data);

                $rec = $stmt->fetch(PDO::FETCH_ASSOC);
                $pro_name = $rec['name'];
                $pro_gazou_name = $rec['gazou'];

                $dbh = null;

                if ($pro_gazou_name == '') {
                    $disp_gazou = '';
                } else {
                    $disp_gazou = '<img src="./gazou/' . $pro_gazou_name . '">';
                }
            } catch (Exception $e) {
                //変更点　exit文で文字列を指定、getMessage()でエラーメッセージを表示
                //echo 'ただいま障害により大変ご迷惑をお掛けしております。';
                echo $e->getMessage(); //エラーメッセージを表示させる
                exit('ただいま障害により大変ご迷惑をお掛けしております。');
            }

            //ヒアドキュメントを使用
            /*
    echo <<<EOM
<h3>商品修正</h3>
<p>商品コード</p>
{$pro_code}
<br>
<br>
<form method="post" action="pro_edit_check.php">
<input type="hidden" name="code" value="{$pro_code}">
<p>商品名</p>
        <input type="text" name="name" style="width:200px" value="{$pro_name}">
<p>パスワードを入力してください。</p>
        <input type="password" name="pass" style="width:200px">
<p>パスワードをもう一度入力してください。</p>
        <input type="password" name="pass2" style="width:200px">
<br>
        <input type="button" onclick="history.back()" value="戻る">
        <input type="submit" value="OK">
    </form>

EOM;
*/
            ?>

            <!--HTML内にPHPを埋め込み -->
            <h2>商品削除</h2>
            <p>商品コード</p>
            <?php echo $pro_code; ?>
            <br>
            <p>商品名</p>
            <?php echo $pro_name; ?>
            <br>
            <?php echo $disp_gazou; ?>
            <p>この商品を削除してよろしいですか？</p>
            <form method="post" action="pro_delete_done.php">
                <!--変更点　CSRF対策　生成したトークンをhiddenで持たせる-->
                <input type="hidden" name="token" value=" <?php echo $token; ?>">
                <input type="hidden" name="code" value=" <?php echo $pro_code; ?>">
                <input type="hidden" name="gazou_name" value=" <?php echo $pro_gazou_name; ?>">
                <input type="button" onclick="history.back()" value="戻る">&emsp;
                <input type="submit" value="OK">
            </form>
        </div>
    </div>
</body>

</html>
