<?php
session_start();
session_regenerate_id(true);
if (isset($_SESSION['login']) == false) {
    echo '<div style="height:100vh;display:flex;justify-content:center;align-items:center">' . '<div>';
    echo '<p>ログインされていません。</p>';
    echo '<a href="../staff_login/staff_login.html">ログイン画面へ</a>';
    echo '</div>' . '</div>';
    exit();
} else {
    echo '<div style="display:flex;justify-content:center">' . '<div>';
    echo $_SESSION['staff_name'] . 'さんログイン中です。';
    echo '</div>' . '</div>';
}
?>

<!DOCTYPE html>
<html lang="ja">

<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <meta http-equiv="X-UA-Compatible" content="ie=edge">
    <title>ろくまる農園</title>
</head>

<body>
    <div style="height:100vh;display:flex;justify-content:center;align-items:center" ;>
        <div>
            <?php
            //変更点　CSRF対策　送られてきたワンタイムトークンの確認
            //session_start(); //セッションを開始、HTMLのDOCTYPEよりも上にsession_start()を追加したからコメントアウト
            $_POST['token'] = trim($_POST['token']); //POSTで送信されるトークンの先頭のみに半角スペースが挿入されているため、それをtrimで取り除かないと２つのトークンがイコールにならない
            if (!isset($_POST['token']) || $_POST['token'] !== $_SESSION['token']) { //トークン確認
                var_dump($_POST['token']) . '<br>'; //var_dumpでバイト数を確認して半角スペースに気づく
                var_dump($_SESSION['token']) . '<br>';
                exit('正規の画面からアクセスしてください。');
            } else {
                unset($_SESSION['token']); //使用済みトークンの削除
            }

            try {
                //変更点　$_POST['']からfilter_input(INPUT_POST, '')に
                $staff_code = filter_input(INPUT_POST, 'code');

                $dsn = 'mysql:dbname=shop;host=localhost;charset=utf8';
                $user = 'root';
                $password = '';
                $dbh = new PDO($dsn, $user, $password);
                $dbh->setAttribute(PDO::ATTR_ERRMODE, PDO::ERRMODE_EXCEPTION);

                $sql = 'DELETE FROM mst_staff WHERE code=?';
                $stmt = $dbh->prepare($sql);
                $data[] = $staff_code;
                $stmt->execute($data);

                $dbh = null;
            } catch (Exception $e) {
                //変更点　exit文で文字列を指定、getMessage()でエラーメッセージを表示
                //echo 'ただいま障害により大変ご迷惑をお掛けしております。';
                echo $e->getMessage(); //エラーメッセージを表示させる
                exit('ただいま障害により大変ご迷惑をお掛けしております。');
            }
            echo '削除しました。<br>';
            ?>
            <a href="staff_list.php">戻る</a>
        </div>
    </div>
</body>

</html>
