<?php
session_start();
session_regenerate_id(true);
if (isset($_SESSION['login']) == false) {
    echo '<div style="height:100vh;display:flex;justify-content:center;align-items:center">' . '<div>';
    echo '<p>ログインされていません。</p>';
    echo '<a href="../staff_login/staff_login.html">ログイン画面へ</a>';
    echo '</div>' . '</div>';
    exit();
} else {
    echo '<div style="display:flex;justify-content:center">' . '<div>';
    echo $_SESSION['staff_name'] . 'さんログイン中です。';
    echo '</div>' . '</div>';
}
?>

<!DOCTYPE html>
<html lang="ja">

<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <meta http-equiv="X-UA-Compatible" content="ie=edge">
    <title>ろくまる農園</title>
</head>

<body>
    <div style="height:100vh;display:flex;justify-content:center;align-items:center" ;>
        <div>
            <?php
            try {
                //変更点　$_POST['']からfilter_input(INPUT_POST, '')に
                $staff_code = filter_input(INPUT_GET, 'staffcode');

                $dsn = 'mysql:dbname=shop;host=localhost;charset=utf8';
                $user = 'root';
                $password = '';
                $dbh = new PDO($dsn, $user, $password);
                $dbh->setAttribute(PDO::ATTR_ERRMODE, PDO::ERRMODE_EXCEPTION);

                $sql = 'SELECT name FROM mst_staff WHERE code=?';
                $stmt = $dbh->prepare($sql);
                $data[] = $staff_code;
                $stmt->execute($data);

                $rec = $stmt->fetch(PDO::FETCH_ASSOC);
                $staff_name = $rec['name'];

                $dbh = null;
            } catch (Exception $e) {
                //変更点　exit文で文字列を指定、getMessage()でエラーメッセージを表示
                //echo 'ただいま障害により大変ご迷惑をお掛けしております。';
                echo $e->getMessage(); //エラーメッセージを表示させる
                exit('ただいま障害により大変ご迷惑をお掛けしております。');
            }

            //ヒアドキュメントを使用
            /*
    echo <<<EOM
<h3>スタッフ修正</h3>
<p>スタッフコード</p>
{$staff_code}
<br>
<br>
<form method="post" action="staff_edit_check.php">
<input type="hidden" name="code" value="{$staff_code}">
<p>スタッフ名</p>
        <input type="text" name="name" style="width:200px" value="{$staff_name}">
<p>パスワードを入力してください。</p>
        <input type="password" name="pass" style="width:200px">
<p>パスワードをもう一度入力してください。</p>
        <input type="password" name="pass2" style="width:200px">
<br>
        <input type="button" onclick="history.back()" value="戻る">
        <input type="submit" value="OK">
    </form>

EOM;
*/
            ?>

            <!--HTML内にPHPを埋め込み -->
            <h2>スタッフ修正</h2>
            <p>スタッフコード</p>
            <?php echo $staff_code; ?>
            <br>
            <br>
            <form method="post" action="staff_edit_check.php">
                <input type="hidden" name="code" value=" <?php echo $staff_code; ?>">
                <label>
                    <p>スタッフ名</p>
                    <input type="text" name="name" style="width:200px" value="<?php echo $staff_name; ?>" required>
                </label>
                <label>
                    <p>パスワードを入力してください。</p>
                    <input type="password" name="pass" style="width:200px" required>
                </label>
                <label>
                    <p>パスワードをもう一度入力してください。</p>
                    <input type="password" name="pass2" style="width:200px" required>
                </label>
                <br>
                <br>
                <input type="button" onclick="history.back()" value="戻る">&emsp;
                <input type="submit" value="OK">
            </form>
        </div>
    </div>
</body>

</html>
